Bug 1485988 - grub2-efi missing from compose, resulting in install failure
Summary: grub2-efi missing from compose, resulting in install failure
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 28
Hardware: aarch64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2017-08-28 15:51 UTC by Jeremy Linton
Modified: 2019-05-02 21:55 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-02 20:03:16 UTC


Attachments (Terms of Use)

Description Jeremy Linton 2017-08-28 15:51:18 UTC
Description of problem: Booting the aarch64-Rawhide-20170827.iso and attempting the install results in:

"
Error

The package 'grub2-efi' is required for this installation. This package does not
exist. This is a fatal error and installation will be aborted.
"

At which point the install fails. Checking the cd image:

[anaconda root@localhost repo]# find /run/install -name "grub*.rpm"
/run/install/repo/Packages/g/grub2-common-2.02-14.fc27.noarch.rpm
/run/install/repo/Packages/g/grub2-tools-2.02-14.fc27.aarch64.rpm
/run/install/repo/Packages/g/grub2-tools-extra-2.02-14.fc27.aarch64.rpm
/run/install/repo/Packages/g/grub2-tools-minimal-2.02-14.fc27.aarch64.rpm
/run/install/repo/Packages/g/grubby-8.40-6.fc27.aarch64.rpm


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Boot latest compose on aarch64/efi machine using inst.text
2. Select install destination/root password/etc
3. Start install with 'b'

Actual results:
.
Creating swap on /dev/sda3
.
Creating xfs on /dev/sda4
.
Creating ext4 on /dev/sda2
.
Creating efi on /dev/sda1
..
Running pre-installation scripts
.
Running pre-installation tasks
.
Installing.
Starting package installation process
================================================================================ystem root directory to default.       ================================================================================
Error

The package 'grub2-efi' is required for this installation. This package does not
exist. This is a fatal error and installation will be aborted.

Press ENTER to exit:
"

Expected results:

It installs


Additional info:

00:21:00,821 DBG payload: no package requirement added for firewall
00:21:00,823 DBG payload: no package requirement added for network
00:21:00,825 DBG payload: added package requirement 'chrony' for ntp, strong=False
00:21:00,827 DBG payload: added package requirement 'grub2-efi' for bootloader, strong=True
00:21:00,829 DBG payload: added package requirement 'efibootmgr' for bootloader, strong=True
00:21:00,831 DBG payload: added package requirement 'shim' for bootloader, strong=True
00:21:00,835 DBG payload: no group requirement added for language groups

Comment 1 Peter 2017-08-28 18:26:19 UTC
Similar problem on a 86_64 machine. 

The package 'grub2' is required for this installation. This package does not
  exist. This is a fatal error and installation will be aborted.

Comment 2 Fedora End Of Life 2018-02-20 15:27:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Ben Cotton 2019-05-02 19:19:28 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Jeremy Linton 2019-05-02 20:03:16 UTC
This bug is STALE, and has been fixed for a very long time...


Thanks!

Comment 5 Ben Cotton 2019-05-02 21:55:19 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.